<?php
class Fieldtype_radio extends Fieldtype {

  function render() {

    $html = '';

    $i = 1;
    foreach($this->field_config['options'] as $opt) {
      $selected = $this->field_data == $opt ? " checked='checked'" : null;
      $html .= "<div class='radio-block'>";
      $html .= "<input type='radio' name='{$this->fieldname}' class='radio' id='{$this->fieldname}-radio-{$i}' value='{$opt}'{$selected} />";
      $html .= "<label class='radio-label' for='{$this->fieldname}-radio-{$i}'>{$opt}</label>";
      $html .= "</div>";
      $i++;
    }

    return $html;
  }

}