<?php
  $current_user = Statamic_Auth::get_current_user();
  $name = $current_user->get_name();
?><!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0">
  <title>Statamic Control Panel</title>
  <link rel="stylesheet" href="<?php print $app->config['theme_path'] ?>css/trailhead.css">
  <?php print CP_helper::run_hook('add_to_control_panel_head') ?>
</head>
<body id="<?php print $route; ?>">
  <div id="wrap">
    <div id="main">
      <div id="control-bar" class="clearfix">
        <ul>
          <li id="item-dashboard"><a href="<?php print $app->urlFor("home"); ?>"><span class="icon">1</span><span class="title">Dashboard</span></a></li>
          <li id="item-content"><a href="<?php print $app->urlFor("pages"); ?>"><span class="icon">l</span><span class="title">Content</span></a></li>
          <li id="item-members"><a href="<?php print $app->urlFor("members"); ?>"><span class="icon">,</span><span class="title">Members</span></a></li>
          <li id="item-account"><a href="<?php print $app->urlFor("member")."?name={$name}"; ?>"><span class="icon">.</span><span class="title">Account</span></a></li>
          <li id="item-members"><a href="http://statamic.com/docs" target="_blank"><span class="icon">K</span><span class="title">Help</span></a></li>
          <li id="item-logout"><a href="<?php print $app->urlFor("logout"); ?>"><span class="icon">V</span><span class="title">Logout</span></a></li>
        </ul>
      </div>
      <?php print $_html; ?>
  </div>
</div>
<div id="footer">
  &copy; <?php print date("Y")?> <a href="http://statamic.com">Statamic</a> v<?php print STATAMIC_VERSION ?> 
  <span id="version-check">
  <?php if( Statamic_helper::is_valid($app->config['_license_key'])): ?>
    
    <?php if ($app->config['latest_version'] <> '' && STATAMIC_VERSION != $app->config['latest_version']): ?>
      <a href="http://store.statamic.com/download?=key=<?php print $app->config['_license_key']?>">update available: v<?php print $app->config['latest_version']; ?></a>
    <?php else: ?>
      up to date
    <?php endif ?>
  <?php else: ?>
    <a href="http://store.statamic.com">You are using an UNLICENSED copy of Statamic. Please purchase and enter a valid license. Thanks!</a>
  <?php endif ?>
  </span>
</div>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<script>window.jQuery || document.write('<?php print $app->config['theme_path']?>js/jquery-1.7.2.min.js')</script>
<script type="text/javascript" src="<?php print $app->config['theme_path']?>js/trailhead.min.js"></script>
<?php print CP_helper::run_hook('add_to_control_panel_foot') ?>
</body>
</html>